Bug 3960 - depmod -A malfunction on 2.6.x kernels
: depmod -A malfunction on 2.6.x kernels
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/modutils)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-13 11:30 by
Modified: 2005-08-31 03:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-13 11:30:15
From time to time on startup i see "blah blah is more recent than blah blah".
But before it i see "Finding module dependencies ... [done]". So i think that
depmod -a is run on readonly filesystem =/
------- Comment #1 From 2004-04-14 15:59:38 -------
$ egrep 'remount,rw|depmod -' /etc/rc.d/rc.sysinit 
action "Remounting root filesystem in read/write mode:" mount -n -o remount,rw / 
        INITLOG_ARGS= action "Finding module dependencies:" depmod -A 
 
Looks like one of your rc scripts modifies modules.conf 
------- Comment #2 From 2004-04-16 23:24:03 -------
It's a "depmoid -A" malfunction on 2.6.x kernels. 
------- Comment #3 From 2004-04-16 23:25:42 -------
Reassigned to modutils maintainer. 
------- Comment #4 From 2004-06-27 21:10:56 -------
Fixed in modutils-2.4.27-alt2.

The bug was worse than reported - depmod -A did not work correctly even for
2.4.x (it was rebuilding all dependencies every time).